org.rrd4j.core.jrrd

## Class CDPStatusBlock

- java.lang.Object
- - org.rrd4j.core.jrrd.CDPStatusBlock

-     public class CDPStatusBlock
      extends Object

  Instances of this class model the consolidation data point status from an RRD file.
  Version:
    $Revision: 1.1 $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `offset` Byte offset within file
    `(package private) double` | `primary_value`
    `(package private) double` | `secondary_value`
    `(package private) long` | `size` Size of block in bytes
    `(package private) int` | `unknownDatapoints`
    `(package private) double` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDPStatusBlock(RRDFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getUnknownDatapoints()` Returns the number of unknown primary data points that were integrated.
    `double` | `getValue()` Returns the value of this consolidated data point.
    `String` | `toString()` Returns a summary the contents of this CDP status block.
    `(package private) void` | `toXml(PrintStream s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### offset

          final long offset

      Byte offset within file

    - #### primary_value

          final double primary_value

    - #### secondary_value

          final double secondary_value

    - #### size

          final long size

      Size of block in bytes

    - #### unknownDatapoints

          final int unknownDatapoints

    - #### value

          final double value

  - ### Constructor Detail

    - #### CDPStatusBlock

          CDPStatusBlock(RRDFile file)

  - ### Method Detail

    - #### getUnknownDatapoints

          public int getUnknownDatapoints()

      Returns the number of unknown primary data points that were integrated.
      Returns:
        the number of unknown primary data points that were integrated.

    - #### getValue

          public double getValue()

      Returns the value of this consolidated data point.
      Returns:
        the value of this consolidated data point.

    - #### toString

          public String toString()

      Returns a summary the contents of this CDP status block.
      Overrides:
        `toString` in class `Object`
      Returns:
        a summary of the information contained in the CDP status block.

    - #### toXml

          void toXml(PrintStream s)